package com.wyattjmiller.tictactoeapp

import android.app.Dialog
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import android.widget.TextView
import androidx.appcompat.app.AlertDialog
import androidx.fragment.app.DialogFragment
import androidx.fragment.app.Fragment
import org.w3c.dom.Text

class StatsDialogFragment(): DialogFragment() {
    private lateinit var mGameTitle: TextView
    private lateinit var mGamesPlayedTextView: TextView
    private lateinit var mGamesWonXTextView: TextView
    private lateinit var mGamesWonOTextView: TextView
    private lateinit var mGamesCatsTextView: TextView
    private lateinit var mGamePiecesPlacedTextView: TextView
    private lateinit var mDismissButton: Button
    private lateinit var mStats: Stats

    override fun onCreateDialog(savedInstanceState: Bundle?): Dialog {
        val builder = AlertDialog.Builder(this.activity!!)
        val dialogView = activity!!.layoutInflater.inflate(R.layout.dialog_stats, null)

        mGameTitle = dialogView.findViewById(R.id.gameStatsTitle)
        mGamesPlayedTextView = dialogView.findViewById(R.id.gamesPlayedTextView)
        mGamesWonXTextView = dialogView.findViewById(R.id.gamesWonXTextView)
        mGamesWonOTextView = dialogView.findViewById(R.id.gamesWonOTextView)
        mGamesCatsTextView = dialogView.findViewById(R.id.gamesCatsTextView)
        mGamePiecesPlacedTextView = dialogView.findViewById(R.id.gamePiecesPlacedTextView)
        mDismissButton = dialogView.findViewById(R.id.dismissButton)

        mGamesPlayedTextView.text = "Games Played: ${mStats.mGamesPlayed.toString()}"
        mGamesWonXTextView.text = "Games Won - X: ${mStats.mGamesWonX.toString()}"
        mGamesWonOTextView.text = "Games Won - O: ${mStats.mGamesWonO.toString()}"
        mGamesCatsTextView.text = "Games Cats: ${mStats.mGamesCats.toString()}"
        mGamePiecesPlacedTextView.text = "Games Pieces Placed: ${mStats.mGamePiecesPlaced.toString()}"

        builder.setView(dialogView)

        mDismissButton.setOnClickListener {
            dismiss()
        }

        return builder.create()
    }

    fun sendStats(statPresent: Stats) {
       mStats = statPresent
    }
}